/* include/crm_config.h.  Generated from crm_config.h.in by configure.  */
/* crm_config.h.in */

/* 
 * Copyright 2006-2018 the Pacemaker project contributors
 *
 * The version control history for this file may have further details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef CRM_CONFIG__H__IN
#define CRM_CONFIG__H__IN

/****** Versions ******/

/* Current pacemaker version */
#define PACEMAKER_VERSION "2.0.4"

/* Build version */
#define BUILD_VERSION "2deceaa3ae"

/****** Other ******/

/* Group to run Pacemaker daemons as */
#define CRM_DAEMON_GROUP "haclient"

/* User to run Pacemaker daemons as */
#define CRM_DAEMON_USER "hacluster"

/****** Directories ******/

/* Where Pacemaker can store log files */
#define CRM_LOG_DIR "/var/log/pacemaker"

/* Location for Pacemaker daemons */
#define CRM_DAEMON_DIR "/usr/lib/pacemaker"

/* Where to keep blackbox dumps */
#define CRM_BLACKBOX_DIR "/var/lib/pacemaker/blackbox"

/* Where to keep configuration files */
#define CRM_CONFIG_DIR "/var/lib/pacemaker/cib"

/* Where to keep scheduler outputs */
#define PE_STATE_DIR "/var/lib/pacemaker/pengine"

/* Location to store core files produced by Pacemaker daemons */
#define CRM_CORE_DIR "/var/lib/pacemaker/cores"

/* Where to keep state files and sockets */
#define CRM_STATE_DIR "/run/crm"

/* Location for the Pacemaker Relax-NG Schema */
#define CRM_SCHEMA_DIRECTORY "/usr/share/pacemaker"

/* Where to keep configuration files like authkey */
#define PACEMAKER_CONFIG_DIR "/etc/pacemaker"

/****** Features ******/

/* Set of enabled features */
#define CRM_FEATURES " generated-manpages agent-manpages ascii-docs publican-docs ncurses libqb-logging libqb-ipc lha-fencing systemd nagios  corosync-native atomic-attrd acls cibsecrets"

/* Support the Corosync messaging and membership layer */
#define SUPPORT_COROSYNC 1

/* Support systemd based system services */
#define SUPPORT_SYSTEMD 1

/* Support upstart based system services */
#define SUPPORT_UPSTART 0

#endif /* CRM_CONFIG__H__IN */
